using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

[Table("definitions")]
public class DefinitionItem
{
    [Column("did"), PrimaryKey, AutoIncrement]
    public int Id { get; set; }

    /// <summary>
    /// - 0: category
    /// - 1: event
    /// </summary>
    [Column("type"), NotNull]
    public int DefinitionType { get; set; }

    [Column("id"), NotNull]
    public int DefinitionId { get; set; }

    [Column("name"), NotNull]
    public string Name { get; set; } = null!;

    [Column("description")]
    public string? Description { get; set; }

    [Column("unique")]
    public bool? Unique { get; set; }
}
